Docs Open org

API reference

Me API

The signed-in account

GET /me

The caller's account.

Responses

200
OK. Me application/json

PATCH /me

Updates the account's time zone, locale, name and preferences.

Request body

application/json, UpdateMe.

FieldTypeDescription
display_namestring | nullDisplay name.
localestring | nullLocale, e.g. en-GB.
preferencesnull | Preferences
tzstring | nullIANA time zone.

Responses

200
OK. Me application/json

GET /me/hats

Every org the account belongs to, in switcher order.

Responses

200
OK. Paged_Hat application/json

PATCH /me/hats/{org}

Sets a hat's order, colour or visibility schedule.

Parameters

NameInTypeDescription
org requiredpathstringThe org slug.

Request body

application/json, UpdateHat.

FieldTypeDescription
colourstring | nullColour, e.g. #3b82f6.
positioninteger (int32) | nullSwitcher order.
visibilityWindow[] | nullHidden windows (replaces the schedule).

Responses

200
OK. Hat application/json